package com.cpp.web.controller.configManager;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpp.common.core.domain.R;
import com.cpp.web.domain.datafactory.ParsingNbq;
import com.cpp.web.service.datafactory.ParsingNbqService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingNbq")
public class ParsingNbqController {
    @Autowired
    ParsingNbqService parsingNbqService;

    @ApiOperation(value = "添加Nbq配置", notes = "添加Nbq配置")
    @PostMapping()
    public R add(@RequestBody ParsingNbq parsingNbq) {
        if (parsingNbqService.save(parsingNbq)) {
            return R.ok("添加成功！");
        } else {
            return R.fail("添加失败！");
        }
    }

    @ApiOperation(value = "修改Nbq配置", notes = "修改Nbq配置")
    @PutMapping()
    public R update(@RequestBody ParsingNbq parsingNbq) {
        if (parsingNbqService.updateById(parsingNbq)) {
            return R.ok("修改成功！");
        } else {
            return R.fail("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Nbq配置", notes = "根据id删除Nbq配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingNbqService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.fail("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Nbq配置", notes = "分页查询Nbq配置")
    @GetMapping("/page")
    public R page(Long currentPage,Long pageSize) {
        Page page = new Page(currentPage, pageSize);
        page.setMaxLimit((long) -1);
        return R.ok(parsingNbqService.page(page));
    }
}
