package com.cpp.web.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * cpp_electric_field
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
public class BaseCppEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 场站编号
     */
    @ApiModelProperty(value = "场站编号")
    private String stationCode;

//    /** 创建者 */
//    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "create_time" , fill = FieldFill.INSERT)
    private Date createTime = new Date();

//    /** 更新者 */
//    @TableField(value = "update_by" , fill = FieldFill.INSERT_UPDATE)
//    private String updateBy;
//
//    /** 更新时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @TableField(value = "update_time" , fill = FieldFill.INSERT_UPDATE)
//    private Date updateTime;



}
