package com.cpp.web.domain.accuracy;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import com.cpp.web.domain.enums.DataSourcesEnum;
import com.cpp.web.domain.enums.ForecastTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * 准确率合格率（日）
 *
 * @author yh
 * @version 1.0
 * @since 2020/7/8 10:56
 */
@Data
@TableName("cpp_accuracy_pass_rate")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_accuracy_pass_rate")
public class AccuracyPassRate extends BaseCppEntity {

    //时间
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date time;

    //准确率
    @ApiModelProperty(value = "准确率")
    private String accuracy;

    //单点偏差累加
    @ApiModelProperty(value = "单点偏差累加(cap*h)")
    private String deviationSum;

    //预测类型
    @ApiModelProperty(value = "预测类型")
    private ForecastTypeEnum forecastType;

    //数据来源
    @ApiModelProperty(value = "数据来源")
    private DataSourcesEnum dataSources;

    //预测模型（中心测）
    @ApiModelProperty(value = "预测模型（中心测)")
    private String forecastModel;

    /**
     * 提前多久预测
     */
    @ApiModelProperty(value = "提前多久预测")
    private Integer forecastHowLongAgo;

    /**
     * 日
     * 站端短期均方根准确率
     * 站端短期单点偏差累加
     * 站端超短期准确率
     * 中心侧某模型短期均方根准确率
     * 中心侧某模型短期单点偏差累加
     */
}
