package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.datafactory.BaseParsing;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cdq解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_cdq")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_cdq")
public class ParsingCdq extends BaseParsing {
    

    /**
     * 数据生成日期
     */
    @ApiModelProperty(value = "数据生成日期")
    private String genDate;


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    private String forecastTime;


    /**
     * 预测数据
     */
    @ApiModelProperty(value = "预测数据")
    private String fpValue;
    
    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    private String openCapacity;


//    /**
//     * 装机容量
//     */
//    @ApiModelProperty(value = "装机容量")
//    private String capacity;


}
