package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import com.cpp.web.domain.enums.DataSourcesEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 解析记录
 */
@Data
@TableName("cpp_parsing_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_log")
public class ParsingLog extends BaseCppEntity {

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件解析状态
     */
    @ApiModelProperty(value = "文件解析状态:成功/失败")
    private String parsingFileStatus;

    /**
     * 解析数据来源
     */
    @ApiModelProperty(value = "解析数据来源")
    private DataSourcesEnum dataSources;
    
    /**
     * 文件解析状态描述
     */
    @ApiModelProperty(value = "文件解析状态描述")
    private String parsingDescribe;

    /**
     * 解析时间
     */
    @ApiModelProperty(value = "解析时间")
    private Date parsingTime;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private FileTypeEnum fileType;
}
