package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;

/**
 * nwp解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_nwp")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_nwp")
public class ParsingNwp extends BaseParsing {


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    private String time;


    /**
     * 温度
     */
    @ApiModelProperty(value = "温度")
    private String t;


    /**
     * 湿度
     */
    @ApiModelProperty(value = "湿度")
    private String rh;


    /**
     * 气压
     */
    @ApiModelProperty(value = "气压")
    private String pressure;

    /**
     * 总辐射
     */
    @ApiModelProperty(value = "总辐射")
    private String globalRadiation;


    /**
     * 直辐射
     */
    @ApiModelProperty(value = "直辐射")
    private String directRadiation;


    /**
     * 散辐射
     */
    @ApiModelProperty(value = "散辐射")
    private String diffuseRadiation;



    /**
     * 10米风速
     */
    @ApiModelProperty(value = "10米风速")
    private String ws10;


    /**
     * 30米风速
     */
    @ApiModelProperty(value = "30米风速")
    private String ws30;


    /**
     * 50米风速
     */
    @ApiModelProperty(value = "50米风速")
    private String ws50;


    /**
     * 70米风速
     */
    @ApiModelProperty(value = "70米风速")
    private String ws70;


    /**
     * 80米风速
     */
    @ApiModelProperty(value = "80米风速")
    private String ws80;


    /**
     * 90米风速
     */
    @ApiModelProperty(value = "90米风速")
    private String ws90;


    /**
     * 100米风速
     */
    @ApiModelProperty(value = "100米风速")
    private String ws100;




    /**
     * 10米风向
     */
    @ApiModelProperty(value = "10米风向")
    private String wd10;


    /**
     * 30米风向
     */
    @ApiModelProperty(value = "30米风向")
    private String wd30;


    /**
     * 50米风向
     */
    @ApiModelProperty(value = "50米风向")
    private String wd50;


    /**
     * 70米风向
     */
    @ApiModelProperty(value = "70米风向")
    private String wd70;


    /**
     * 80米风向
     */
    @ApiModelProperty(value = "80米风向")
    private String wd80;


    /**
     * 90米风向
     */
    @ApiModelProperty(value = "90米风向")
    private String wd90;


    /**
     * 100米风向
     */
    @ApiModelProperty(value = "100米风向")
    private String wd100;

    /**
     * 轮毂高度风速
     */
    @ApiModelProperty(value = "轮毂高度风速")
    private String wsHubHeight;

    /**
     * 风机轮毂高度风向瞬时值（°）
     */
    @ApiModelProperty(value = "轮毂高度风向（°）")
    private String wdHubHeight;

}
