package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * cdq解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_qxz")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_qxz")
public class ParsingQxz extends BaseParsing {

    /**
     * 数据类型（s：单行，m：多行）
     */
    @ApiModelProperty(value = "文件名")
    private String dataType;


    /**
     * 状态值为1代表运行，2代表待机，3代表停用，4代表故障
     */
    @ApiModelProperty(value = "状态值为1代表运行，2代表待机，3代表停用，4代表故障")
    private String status;


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String time;


    /**
     * 总辐射（W/㎡）
     */
    @ApiModelProperty(value = "总辐射（W/㎡）")
    private String globalR;


    /**
     * 直接辐射（W/㎡）
     */
    @ApiModelProperty(value = "直接辐射（W/㎡）")
    private String directR;


    /**
     * 散射辐射（W/㎡）
     */
    @ApiModelProperty(value = "散射辐射（W/㎡）")
    private String diffuseR;


    /**
     * 斜面辐射（W/㎡）
     */
    @ApiModelProperty(value = "斜面辐射（W/㎡）")
    private String obliqueR;


    /**
     * 环境温度（℃）
     */
    @ApiModelProperty(value = "环境温度（℃）")
    private String airT;


    /**
     * 气压（KPa）
     */
    @ApiModelProperty(value = "气压（KPa）")
    private String p;


    /**
     * 湿度（%）
     */
    @ApiModelProperty(value = "湿度（%）")
    private String rh;


    /**
     * 光伏电池板温度（℃）
     */
    @ApiModelProperty(value = "光伏电池板温度（℃）")
    private String cellT;


    /**
     * 风速（m/s）
     */
    @ApiModelProperty(value = "风速（m/s）")
    private String ws;


    /**
     * 风向（°）
     */
    @ApiModelProperty(value = "风向（°）")
    private String wd;


    /**
     * 日照小时数
     */
    @ApiModelProperty(value = "日照小时数")
    private String hourDA;


    /**
     * 总辐射日累计（MJ/㎡）
     */
    @ApiModelProperty(value = "总辐射日累计（MJ/㎡）")
    private String globalRDA;


    /**
     * 直接辐射日累计（MJ/㎡）
     */
    @ApiModelProperty(value = "直接辐射日累计（MJ/㎡）")
    private String directRDA;


    /**
     * 散射辐射日累计（MJ/㎡）
     */
    @ApiModelProperty(value = "散射辐射日累计（MJ/㎡）")
    private String diffuseRDA;


    /**
     * 斜面辐射日累计（MJ/㎡）
     */
    @ApiModelProperty(value = "斜面辐射日累计（MJ/㎡）")
    private String obliqueRDA;
}
