package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * rp解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_rp")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_rp")
public class ParsingRp extends BaseParsing {


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String time;


    /**
     * 实际功率（MW）
     */
    @ApiModelProperty(value = "实际功率（MW）")
    private String realValue;


    /**
     * 可用功率（MW）
     */
    @ApiModelProperty(value = "可用功率（MW）")
    private String ableValue;


    /**
     * 理论功率（MW）
     */
    @ApiModelProperty(value = "理论功率（MW）")
    private String theoryValue;

    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    private String openCapacity;


    /**
     * 装机容量（MW）
     */
    @ApiModelProperty(value = "装机容量（MW）")
    private String capacity;

    /**
     * 站内受阻容量(故障/检修)（MW）
     */
    @ApiModelProperty(value = "受阻容量（故障/检修）（MW）")
    private String blockedCapacity;


    /**
     * 限电标记
     */
    @ApiModelProperty(value = "限电标记 0不限电 1限电（MW）")
    private String powerRationing;

}
