package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 解析配置
 * <p>
 * Parse file
 *
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_type")
public class ParsingType extends BaseCppEntity {


    /**
     * 识别文件名标识
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private FileTypeEnum fileType;


}
