package com.cpp.web.domain.overhaulplan;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cpp_overhaul_plan
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
@Data
@TableName("cpp_overhaul_plan")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_overhaul_plan")
public class OverhaulPlan extends BaseCppEntity {

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 描述
     */
    @ApiModelProperty(value = "检修名称")
    private String name;


    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    /**
     * 检修容量（MW）
     */
    @ApiModelProperty(value = "检修容量（MW）")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal overhaulCapacity = new BigDecimal(-99);

    /**
     * 检修个数
     */
    @ApiModelProperty(value = "检修台数")
    private Integer maintenanceQuantity;

    /**
     *  1 执行中 2 已完成
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * 生效时间
     */
    @ApiModelProperty(value = "生效时间")
    private Date finalEntryTime;

    /**
     * 手动完成时间
     */
    @ApiModelProperty(value = "手动完成时间")
    private Date mcTime;

    /**
     * 是否使用
     */
    @ApiModelProperty(value = "是否使用")
    private boolean isUse;
}
