package com.cpp.web.domain.overhaulplan;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cpp_overhaul_plan_records
 *
 * @author fxy
 * @date 2024-10-10 9:47:33
 */
@Data
@TableName("cpp_overhaul_plan_records")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_overhaul_plan_records")
public class OverhaulPlanRecords extends BaseCppEntity {

    /**
     * 使用时间
     */
    @ApiModelProperty(value = "使用时间")
    private Date useTime;

    /**
     * 检修开始时间
     */
    @ApiModelProperty(value = "检修开始时间")
    private Date startTime;

    /**
     * 检修结束时间
     */
    @ApiModelProperty(value = "检修结束时间")
    private Date endTime;

    /**
     * 检修容量
     */
    @ApiModelProperty(value = "检修容量")
    private BigDecimal overhaulCapacity;

    /**
     * 预测模型
     */
    @ApiModelProperty(value = "预测模型")
    private String forecastModel;


    /**
     * 使用次数
     */
    @ApiModelProperty(value = "使用次数")
    private Integer useNum = 0;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
