package com.cpp.web.domain.powerGeneration;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.enums.DataSourcesEnum;
import com.cpp.web.domain.enums.ForecastTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 日发电量
 *
 * @author fxy
 * @version 1.0
 * @since 2024/10/14 10:56
 */
@Data
@TableName("cpp_day_power_generation")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_day_power_generation")
public class DayPowerGeneration extends BaseCppEntity {

    /**
     * 时间
     */
    @ApiModelProperty(value = "预测日期")
    private String time;

    /**
     *  预测发电量
     */
    @ApiModelProperty(value = "预测发电量")
    private BigDecimal forecastPowerGeneration;

    /**
     *  生成时间
     */
    @ApiModelProperty(value = "生成时间")
    private String genDate;

    /**
     * 提前多久预测
     */
    @ApiModelProperty(value = "提前多久预测")
    private Integer forecastHowLongAgo;

    /**
     * 预测数据源
     */
    @ApiModelProperty(value = "预测数据源")
    private String predictionDataSource;


}
