package com.cpp.web.domain.regulation;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * 短期调控常用
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_temp_short_usual")
@ApiModel(value = "cpp_temp_short_usual")
public class TempShortUsual {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 常用策略名称
     */
    @ApiModelProperty(value = "常用策略名称")
    private String usualName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "create_time" , fill = FieldFill.INSERT)
    private Date createTime = new Date();
    /** 创建者 */
    @TableField(value = "create_by" , fill = FieldFill.INSERT)
    private String createBy;
}
