package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.station.enums.ElectricFieldTypeEnum;
import com.cpp.web.domain.station.enums.ProvinceEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * cpp_electric_field
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_electric_field")
@EqualsAndHashCode(callSuper = true)
public class ElectricField extends BaseCppEntity {



    /**
     * 电站名称
     */
    @ApiModelProperty(value = "电站名称")
    private String name;


    /**
     * 场站装机容量（MW）
     */
    @ApiModelProperty(value = "场站装机容量（MW）")
    private BigDecimal capacity;


    /**
     * 场站经度
     */
    @ApiModelProperty(value = "场站经度")
    private BigDecimal longitude;


    /**
     * 场站纬度
     */
    @ApiModelProperty(value = "场站纬度")
    private BigDecimal latitude;


    /**
     * 场站类型1:光伏电站,2:风力电站
     */
    @ApiModelProperty(value = "场站类型1:光伏电站,2:风力电站")
    private String electricFieldTypeEnum;

    /**
     * 上报省调
     */
//    @Enumerated(EnumType.STRING)
    @ApiModelProperty(value = "省份")
    private ProvinceEnum provinceEnum;


    /**
     * ftp通道id
     */
    @ApiModelProperty(value = "ftp通道id")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long sftpChanelId;



    /**
     * ftp扫描路径
     */
//    @Enumerated(EnumType.STRING)
    @ApiModelProperty(value = "ftp扫描路径")
    private String sftpUrl;


    /**
     * ftp备份路径
     */
//    @Enumerated(EnumType.STRING)
    @ApiModelProperty(value = "ftp备份路径")
    private String sftpBackupUrl;
}
