package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.station.enums.EquipmentTypeEnum;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * cpp_weather_station_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_weather_station_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_weather_station_info")
public class WeatherStationInfo extends BaseCppEntity {

    public WeatherStationInfo() {
        this.setEquipmentType(EquipmentTypeEnum.WEATHERSTATION.getCode());
    }


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer equipmentType;


    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;


    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;


    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modelNumber;


    /**
     * 安装时间
     */
    @ApiModelProperty(value = "安装时间")
    private LocalDate installationTime;


    /**
     * 是否上报 1:是 0 否
     */
    @ApiModelProperty(value = "是否上报 1:是 0 否")
    private String report;


    /**
     * 入库时间间隔 单位 s
     */
    @ApiModelProperty(value = "入库时间间隔 单位 s")
    private Integer timeInterval;


    /**
     * 绑定数据采集通道
     */
    @ApiModelProperty(value = "绑定数据采集通道")
    private String bindTunnel;

    /**
     * 是否作为解析使用 1:是 0 否
     */
    @ApiModelProperty(value = "是否解析 1:是 0 否")
    private String analyticUse;

}
