package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;

/**
 * cpp_wind_turbine_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_wind_turbine_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_wind_turbine_info")
public class WindTurbineInfo extends BaseCppEntity {

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;


    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;


    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modelNumber;

    /**
     * 风机是否样板机 1:是 0:否
     */
    @ApiModelProperty(value = "风机是否样板机 1:是 0:否")
    private String sample;


    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    @Digits(integer = 10, fraction = 6)
    private BigDecimal longitude;


    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    @Digits(integer = 10, fraction = 6)
    private BigDecimal latitude;

}
