package com.cpp.web.dto;


import lombok.Data;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 临时短期调控
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
public class TempShortRegulationDto{


    /**
     * 预测时间
     */
    private String time;

    /**
     * 原始值
     */
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ysValue = new BigDecimal(-99);

    /**
     * 调控值
     */
    @Digits(integer = 10, fraction = 2)
    private BigDecimal tkValue = new BigDecimal(-99);

    /**
     * 调控预测日期
     */
    private Date forecastDate;
    /**
     * 调控日
     */
    private Date tkDate;

    /**
     * 数值
     */
    @Digits(integer = 10, fraction = 2)
    private BigDecimal sz = new BigDecimal(-99);

    /**
     * 系数
     */
    @Digits(integer = 10, fraction = 2)
    private BigDecimal xs = new BigDecimal(-99);

    private String stationCode;
}
