package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.WindTowerStatusData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 测风塔数据业务层接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface WindTowerStatusDataService extends IService<WindTowerStatusData> {
    List<WindTowerStatusData> getByStationCodeBetweenTimeAndEquipmentId(String stationCode, Date startTime, Date endTime, String equipmentId);

    QueryWrapper<WindTowerStatusData> getByBetweenTimeAndStationCode(Date startTime, Date endTime, String stationCode);

    Map<String, Object> queryCharts(String stationCode, Date startTime, Date endTime, String equipmentId) throws Exception;

    List<WindTowerStatusData> findByBetweenTimeAndStationCode(Date startTime, Date endTime, String stationCode);

}
